Public Class Form1

    ' Liste mit allen Farb-Buttons
    Private m_AllColorButtons As New List(Of ToolStripButton)

    Public Sub New()

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        m_AllColorButtons.Add(ToolStripButtonRed)
        m_AllColorButtons.Add(ToolStripButtonOrange)
        m_AllColorButtons.Add(ToolStripButtonYellow)
        m_AllColorButtons.Add(ToolStripButtonGreen)
        m_AllColorButtons.Add(ToolStripButtonTurquoise)
        m_AllColorButtons.Add(ToolStripButtonBlue)
        m_AllColorButtons.Add(ToolStripButtonWhite)
        m_AllColorButtons.Add(ToolStripButtonBlack)
        'Farbe rot ist zum Start ausgewhlt
        Me.ToolStripButtonRed.Checked = True
    End Sub

    ''' <summary>
    ''' Wenn ein Toolstripbutton geklickt wird
    ''' </summary>
    Private Sub ToolStripButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButtonRed.Click, ToolStripButtonBlack.Click, ToolStripButtonBlue.Click, ToolStripButtonGreen.Click, ToolStripButtonOrange.Click, ToolStripButtonRed.Click, ToolStripButtonTurquoise.Click, ToolStripButtonWhite.Click, ToolStripButtonYellow.Click
        ' alle anderen Buttons werden deselektiert
        For Each Btn As ToolStripButton In m_AllColorButtons
            If Not Btn Is sender Then
                Btn.Checked = False
            End If
        Next

        ' wird der geklickte Button als Checked markiert
        Dim NewBtn As ToolStripButton = sender
        NewBtn.Checked = True

        ' dem PixelGridControl wird mitgeteilt, was die neue Vordergrundfarbe ist
        If NewBtn Is ToolStripButtonRed Then
            Me.PixelGridControl1.ActiveColor = Color.Red
        ElseIf NewBtn Is ToolStripButtonOrange Then
            Me.PixelGridControl1.ActiveColor = Color.Orange
        ElseIf NewBtn Is ToolStripButtonYellow Then
            Me.PixelGridControl1.ActiveColor = Color.Yellow
        ElseIf NewBtn Is ToolStripButtonGreen Then
            Me.PixelGridControl1.ActiveColor = Color.LimeGreen
        ElseIf NewBtn Is ToolStripButtonTurquoise Then
            Me.PixelGridControl1.ActiveColor = Color.Turquoise
        ElseIf NewBtn Is ToolStripButtonBlue Then
            Me.PixelGridControl1.ActiveColor = Color.Blue
        ElseIf NewBtn Is ToolStripButtonWhite Then
            Me.PixelGridControl1.ActiveColor = Color.White
        ElseIf NewBtn Is ToolStripButtonBlack Then
            Me.PixelGridControl1.ActiveColor = Color.Black
        End If

    End Sub

    ''' <summary>
    ''' Wenn der Clear-Button bedient wird, wird dem PixelGridControl mitgeteilt,
    ''' da es alle Pixel wieder von Farben befreien soll
    ''' </summary>
    Private Sub ToolStripButtonDelete_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButtonDelete.Click
        Me.PixelGridControl1.ClearAll()
    End Sub
End Class
